## net.i2p.router.admin
Class StatsGenerator

    java.lang.Object
      net.i2p.router.admin.StatsGenerator

    public class StatsGenerator

extends java.lang.Object

Dump the stats to the web admin interface

Constructor Summary
`StatsGenerator(RouterContext context)`

Method Summary
`void` `generateStatsPage(java.io.Writer out)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StatsGenerator

    public StatsGenerator(RouterContext context)

Method Detail

### generateStatsPage

    public void generateStatsPage(java.io.Writer out)
                           throws java.io.IOException

  Throws:
    `java.io.IOException`